org.apache.solr.client.solrj.response

## Class ClusteringResponse

- java.lang.Object
- - org.apache.solr.client.solrj.response.ClusteringResponse

    public class ClusteringResponse
    extends Object

Encapsulates responses from ClusteringComponent

### Constructor Summary

Constructors
Constructor and Description
`ClusteringResponse(List<NamedList<Object>> clusterInfo)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Cluster>` `getClusters()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClusteringResponse

    public ClusteringResponse(List<NamedList<Object>> clusterInfo)

### Method Detail

#### getClusters

    public List<Cluster> getClusters()